GNU bug report logs - #43002
27.1; emacsclient does not like owner of socket on NetBSD

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thomas Klausner <tk@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 43002 <at> debbugs.gnu.org and Thomas Klausner <tk@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43002 <at> debbugs.gnu.org:


Received: (at 43002) by debbugs.gnu.org; 20 Sep 2020 19:24:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 15:24:49 2020
Received: from localhost ([127.0.0.1]:52671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kK4x6-0005Yz-W9
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2020 15:24:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kK4x4-0005Yh-0H
 for 43002 <at> debbugs.gnu.org; Sun, 20 Sep 2020 15:24:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ycq6v2ZxF5dQ8Pb/Av+J3S9VVJH6IrtcbvSwJol5R6Q=; b=sOLlZ/YavkWqBs8rU15nv360OF
 BW93kPr5567HYixgHK8/pTJN9XOTyFNcHfO0NeQU9gqmHRAeOLWAsM8SIqRgN9MLGUIXZ1TjqYm91
 W1I+o1PmPqlYAJfuUUZEtNubjRAaHaJiJe9qhMSJTZO8ht2NR6B35BNP5Wqn7A8eFfk0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kK4wt-00012E-NV; Sun, 20 Sep 2020 21:24:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thomas Klausner <tk@HIDDEN>
Subject: Re: bug#43002: Acknowledgement (27.1; emacsclient does not like
 owner of socket on NetBSD)
References: <87ft8dp1lc.fsf@HIDDEN>
 <handler.43002.B.159821338632290.ack <at> debbugs.gnu.org>
 <20200920154323.3bzep6jomgkci62g@HIDDEN>
X-Now-Playing: Japan's _Gentlemen Take Polaroids_: "Swing"
Date: Sun, 20 Sep 2020 21:24:34 +0200
In-Reply-To: <20200920154323.3bzep6jomgkci62g@HIDDEN> (Thomas Klausner's
 message of "Sun, 20 Sep 2020 17:43:23 +0200")
Message-ID: <87imc8l099.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Thomas Klausner <tk@HIDDEN> writes: > There was a commit
 to NetBSD that fixes the problem: > >
 https://mail-index.netbsd.org/source-changes/2020/08/26/msg121023.html
 > > Modified Files: > src/sys/kern: uipc_socket.c uipc_socket2.c uipc_ [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43002
Cc: 43002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thomas Klausner <tk@HIDDEN> writes:

> There was a commit to NetBSD that fixes the problem:
>
> https://mail-index.netbsd.org/source-changes/2020/08/26/msg121023.html
>
> Modified Files:
>         src/sys/kern: uipc_socket.c uipc_socket2.c uipc_usrreq.c
>
> Log Message:
> add socket info for user and group for unix sockets in fstat.
>
> To generate a diff of this commit:
> cvs rdiff -u -r1.290 -r1.291 src/sys/kern/uipc_socket.c
> cvs rdiff -u -r1.137 -r1.138 src/sys/kern/uipc_socket2.c
> cvs rdiff -u -r1.198 -r1.199 src/sys/kern/uipc_usrreq.c
>
> So the issue will not affect NetBSD 10 (but affects NetBSD 9 and older).

Thanks for updating the issue.

Since this has been fixed in the upcoming version of NetBSD, it doesn't
sound worth it to do anything about this on the Emacs side, so I'm
closing this bug report.  If anybody thinks otherwise, please feel free
to reopen again.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43002; Package emacs. Full text available.

Message received at 43002 <at> debbugs.gnu.org:


Received: (at 43002) by debbugs.gnu.org; 20 Sep 2020 15:43:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 11:43:28 2020
Received: from localhost ([127.0.0.1]:52438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kK1Uu-0004PH-7n
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2020 11:43:28 -0400
Received: from gatalith.at ([45.132.245.72]:63242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tk@HIDDEN>) id 1kK1Us-0004P7-35
 for 43002 <at> debbugs.gnu.org; Sun, 20 Sep 2020 11:43:27 -0400
Received: from yt.nih.at (213-47-13-4.cable.dynamic.surfer.at [213.47.13.4])
 by gatalith.at (Postfix) with ESMTPSA id 675D5390F68
 for <43002 <at> debbugs.gnu.org>; Sun, 20 Sep 2020 17:43:22 +0200 (CEST)
Date: Sun, 20 Sep 2020 17:43:23 +0200
From: Thomas Klausner <tk@HIDDEN>
To: 43002 <at> debbugs.gnu.org
Subject: Re: bug#43002: Acknowledgement (27.1; emacsclient does not like
 owner of socket on NetBSD)
Message-ID: <20200920154323.3bzep6jomgkci62g@HIDDEN>
References: <87ft8dp1lc.fsf@HIDDEN>
 <handler.43002.B.159821338632290.ack <at> debbugs.gnu.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <handler.43002.B.159821338632290.ack <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43002
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

There was a commit to NetBSD that fixes the problem:

https://mail-index.netbsd.org/source-changes/2020/08/26/msg121023.html

Modified Files:
        src/sys/kern: uipc_socket.c uipc_socket2.c uipc_usrreq.c

Log Message:
add socket info for user and group for unix sockets in fstat.


To generate a diff of this commit:
cvs rdiff -u -r1.290 -r1.291 src/sys/kern/uipc_socket.c
cvs rdiff -u -r1.137 -r1.138 src/sys/kern/uipc_socket2.c
cvs rdiff -u -r1.198 -r1.199 src/sys/kern/uipc_usrreq.c

So the issue will not affect NetBSD 10 (but affects NetBSD 9 and older).
 Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43002; Package emacs. Full text available.

Message received at 43002 <at> debbugs.gnu.org:


Received: (at 43002) by debbugs.gnu.org; 25 Aug 2020 15:20:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 11:20:21 2020
Received: from localhost ([127.0.0.1]:35693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAakH-0007aI-Kh
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 11:20:21 -0400
Received: from gatalith.at ([45.132.245.72]:64871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tk@HIDDEN>) id 1kAakG-0007a1-26
 for 43002 <at> debbugs.gnu.org; Tue, 25 Aug 2020 11:20:20 -0400
Received: from yt.nih.at (213-47-13-4.cable.dynamic.surfer.at [213.47.13.4])
 by gatalith.at (Postfix) with ESMTPSA id 3F270391213
 for <43002 <at> debbugs.gnu.org>; Tue, 25 Aug 2020 17:20:18 +0200 (CEST)
Date: Tue, 25 Aug 2020 17:20:17 +0200
From: Thomas Klausner <tk@HIDDEN>
To: 43002 <at> debbugs.gnu.org
Subject: emacsclient does not like owner of socket on NetBSD
Message-ID: <20200825152017.dhrlxxxmsru3nvbl@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43002
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

To be clear, the socket in the file system looks fine:

srwx------  1 wiz  wheel  0 Aug 25 17:19 /tmp/emacs1000/server

 Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43002; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Aug 2020 20:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 16:09:46 2020
Received: from localhost ([127.0.0.1]:55180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9wJF-0008Oj-Jt
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 16:09:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:57892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wiz@HIDDEN>) id 1k9wJD-0008Oa-3i
 for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 16:09:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42996)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wiz@HIDDEN>) id 1k9wJC-0007i7-Vk
 for bug-gnu-emacs@HIDDEN; Sun, 23 Aug 2020 16:09:43 -0400
Received: from vie01a-dmta-pe02-2.mx.upcmail.net ([62.179.121.158]:38481)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wiz@HIDDEN>) id 1k9wJA-0008Ba-7v
 for bug-gnu-emacs@HIDDEN; Sun, 23 Aug 2020 16:09:42 -0400
Received: from [172.31.216.235] (helo=vie01a-pemc-psmtp-pe12.mail.upcmail.net)
 by vie01a-dmta-pe02.mx.upcmail.net with esmtp (Exim 4.92)
 (envelope-from <wiz@HIDDEN>) id 1k9wI8-00042I-OZ
 for bug-gnu-emacs@HIDDEN; Sun, 23 Aug 2020 22:08:36 +0200
Received: from yt.nih.at ([213.47.13.4])
 by vie01a-pemc-psmtp-pe12.mail.upcmail.net with ESMTP
 id 9wI8kDcaBIr7G9wI8kYIyJ; Sun, 23 Aug 2020 22:08:36 +0200
X-Env-Mailfrom: wiz@HIDDEN
X-Env-Rcptto: bug-gnu-emacs@HIDDEN
X-SourceIP: 213.47.13.4
X-CNFS-Analysis: v=2.3 cv=QN4WuTDL c=1 sm=1 tr=0
 a=TsVoxoyLDFoAQNQ/KW6eXw==:117 a=TsVoxoyLDFoAQNQ/KW6eXw==:17
 a=y4yBn9ojGxQA:10 a=zAkZUiazVwM1r6LaIG8A:9 a=oBj00OalxMaipsys:21
 a=2ZDq3WSMqZ4KvzuC:21
Received: by yt.nih.at (Postfix, from userid 1000)
 id 57CD81CB6A71; Sun, 23 Aug 2020 22:08:36 +0200 (CEST)
From: Thomas Klausner <tk@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; emacsclient does not like owner of socket on NetBSD
Date: Sun, 23 Aug 2020 22:08:15 +0200
Message-ID: <87ft8dp1lc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-CMAE-Envelope: MS4wfJ8OW17mqeYK4AXZKhYwiMCbk4skEiN+OkjVgf0+Qk41HhhuNm9CKOssVfx+hR+AkeEfXXoHl16MzM1i/DshZnkARRx/358SPf2dyUGU3f3BE18YUMKH
 x10HoLK8jcscAmzicJQlVfC239UxC5RTKbI=
Received-SPF: none client-ip=62.179.121.158; envelope-from=wiz@HIDDEN;
 helo=vie01a-dmta-pe02-2.mx.upcmail.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/23 16:08:37
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -22
X-Spam_score: -2.3
X-Spam_bar: --
X-Spam_report: (-2.3 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)


Start emacs, run 'start-server', start emacsclient <file> and see
emacsclient: Invalid socket owner

Digging deeper, in lib-src/emacsclient.c after
    if (fstat (s, &connect_stat) != 0)
    connect_stat.st_uid is 0 but uid is 1000


In GNU Emacs 27.1 (build 1, x86_64--netbsd, GTK+ Version 3.24.22)
 of 2020-08-23 built on yt.nih.at
System Description: NetBSD 9.99.69/amd64

Recent messages:
Loading company...done
Loading flycheck...done
Loading helm-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --srcdir=/scratch/editors/emacs27/work/emacs-27.1
 --localstatedir=/var --disable-autodepend --without-ns --without-rsvg
 --without-imagemagick --x-includes=/usr/X11R7/include
 --x-libraries=/usr/X11R7/lib --with-x-toolkit=gtk3 --prefix=/usr/pkg
 --build=x86_64--netbsd --host=x86_64--netbsd --infodir=/usr/pkg/info
 --mandir=/usr/pkg/man --enable-option-checking=yes 'CFLAGS=-O2 -g
 -D_FORTIFY_SOURCE=2 -fstack-check -I/usr/pkg/include -I/usr/include
 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0
 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include
 -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm'
 'CPPFLAGS=-g -DTERMINFO -I/usr/pkg/include -I/usr/include
 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0
 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include
 -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm'
 'LDFLAGS=-Wl,-z,relro -Wl,-z,now -L/usr/pkg/lib -L/usr/lib
 -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/X11R7/lib
 -Wl,-R/usr/X11R7/lib''

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY KQUEUE ACL GNUTLS
LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER GMP

Important settings:
  value of $LC_CTYPE: de_AT.UTF-8
  value of $LC_TIME: de_AT.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  helm-ff-cache-mode: t
  shell-dirtrack-mode: t
  global-flycheck-mode: t
  global-company-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/wiz/.emacs.d/elpa/cmake-mode-20190710.1319/cmake-mode hides /usr/pkg/share/emacs/site-lisp/cmake-mode

Features:
(shadow sort mail-extr emacsbug message dired dired-loaddefs rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils term/screen term/xterm xterm advice
lsp-mode lsp-protocol yasnippet url-util tree-widget wid-edit spinner
network-stream puny nsm rmc markdown-mode color thingatpt noutline
outline lv inline imenu ht filenotify f s ewoc em-glob esh-util
dash-functional compile bindat company-oddmuse company-keywords
company-etags etags fileloop generator xref project company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb tsdh-light-theme helm-mode helm-files
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
shell pcomplete comint ring parse-time iso8601 time-date ls-lisp
helm-buffers helm-occur helm-tags helm-locate helm-grep helm-regexp
format-spec helm-utils helm-help helm-types helm easy-mmode helm-source
eieio-compat helm-multi-match helm-lib async flycheck ansi-color
find-func help-mode rx dash company edmacro kmacro pcase cus-start
cus-load finder-inf warnings server info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind kqueue dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 204469 13154)
 (symbols 48 23619 1)
 (strings 32 73234 2189)
 (string-bytes 1 2345870)
 (vectors 16 36165)
 (vector-slots 8 357511 9630)
 (floats 8 274 295)
 (intervals 56 334 56)
 (buffers 1000 13))




Acknowledgement sent to Thomas Klausner <tk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43002; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 20 Sep 2020 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.